
/*
 *
 *	unloadfont.c
 *
 *	unload a font
 *
 *	unloadfont font
 *
 *	Goran Larsson		hacker@isadora.ikp.liu.se
 *
 */

#include <dnix/fcodes.h>

#define PFLOAD   (('p'<<8)|7)
#define PFREMOVE (('p'<<8)|8)
#define CON_LU 1

char fn;

main ( argc, argv )
int argc;
char *argv[];

{
	if ( argc != 2 ) {
		printf ( "Usage: unloadfont A..Z\n" );
		exit ( 1 );
	}
	fn = argv[1][0];
	if ( fn >= 'a' ) {
		fn = fn - ' ';
	}
	if ( ( fn >= 'A' ) && ( fn <= 'Z' ) ) {
		dnix ( F_IOCW, CON_LU, &fn, 1, PFREMOVE, 0, 0, 0 );
	} else {
		printf ( "%s: font must be A to Z\n", argv[0] );
		exit ( 1 );
	}
	exit ( 0 );
}
